/**
* endians.h
* this is part of semestral work to PROGRAMMING IN UNIX
* tomas.pop@seznam.cz
* this code is under Genereal public a General Public Documentation License 
*/
#ifndef ENDIANS_H
 #define ENDIANS_H
/* I tried to do this code harmless on big-endians machines  */
#include "types.h"

#ifdef sgi
  #define HIGHFIRST
#endif

#ifdef sun
  #define HIGHFIRST
#endif

#ifndef HIGHFIRST
  #define byteReverse(buf, len)	/* Nothing */
  #define blowRotation(buf, len) /*Nothing */
#else
  //longs is number of integer (so #bytes/4) buffer 
  extern void byteReverse(unsigned char *buf, unsigned longs);
  extern void blowRotation(unsigned char *buf, unsigned longs);

#endif //!HIGHFIRST
/** function to put integer to byte field as litle endian*/
void put_int(char *  buff, uint32 what);
/** function to get integer from byte field where is as litle endian*/
uint32 get_int(char *  buff);

#endif //!ENDIANS_H
